﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Inheritance
{
    class BB : AA
    {
        private int num;

        public BB() : base() { this.num = 1; }
        public BB(int num, string st) : base(st) { this.num = num; }
        public int GetNum() { return this.num; }
        public void SetNum(int num) { this.num = num; }
        //public override string ToString()
        //{
        //    return base.ToString() + " num = " + this.num;
        //}

        public override bool IsLike(object obj)
        {
            if (obj is BB)
                if (this.num == ((BB)obj).GetNum())
                    return true;
            return false;
        }
    }
}
